### Name: xtable.xbal
### Title: An xtable method for xbalance objects
### Aliases: xtable.xbal


### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

data(nuclearplants)
require(xtable)

xb1<-xBalance(pr~ date + t1 + t2 + cap + ne + ct + bw + cum.n,
             strata=data.frame(unstrat=factor(character(32)),
               pt=factor(nuclearplants$pt)),
             data=nuclearplants,
             report=c('adj.means','adj.mean.diffs','std.diffs', 'z.scores', 'chisquare.test','p.values'))

xb1.xtab<-xtable(xb1) ##right aligned
##xb1.xtab<-xtable(xb1,align = c("l",rep(".",ncol(xvardf)))) ##decimal aligned, see Details above. 
print(xb1.xtab,add.to.row=attr(xb1.xtab,"latex.add.to.row"),hline.after=c(0,nrow(xb1.xtab)),sanitize.text.function=function(x){x},floating=TRUE,floating.environment="sidewaystable")




